library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;
use IEEE.std_logic_unsigned.all;

entity cmpt_1s is
    Port ( i_clk : in  STD_LOGIC;
           i_rst : in  STD_LOGIC;
			  i_pulse_1ms : in  STD_LOGIC;
           o_1s : out  STD_LOGIC);
end cmpt_1s;

architecture Behavioral of cmpt_1s is

signal cmpt : std_logic_vector (9 downto 0):= (others => '0');
signal seconde : std_logic:='0';

begin

process (i_clk, i_rst)
begin
	if i_rst = '1' then
		cmpt <= (others => '0');
		seconde <= '0';
	elsif (i_clk'event and i_clk = '1') then
		if (i_pulse_1ms = '1') then
			if (cmpt = 999) then	--Pour le rel
				cmpt  <= (others => '0');
				seconde <= '1';
			else
				cmpt <= cmpt + 1;
				seconde <= '0';
			end if;
		end if;
	end if;
end process;

	o_1s <= seconde;
	
end Behavioral;