library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;
use IEEE.std_logic_unsigned.all;

entity cmpt_pulse_1ms is
    Port ( i_clk : in  STD_LOGIC;
           i_rst : in  STD_LOGIC;
           o_pulse_1ms : out  STD_LOGIC);
end cmpt_pulse_1ms;

architecture Behavioral of cmpt_pulse_1ms is

signal cmpt : std_logic_vector (15 downto 0):= (others => '0');
signal pulse_1ms : std_logic:='0';

begin

process (i_clk, i_rst)
begin
	if i_rst = '1' then
		cmpt <= (others => '0');
		pulse_1ms <= '0';
	elsif (i_clk'event and i_clk = '1') then
		if (cmpt = 49999) then					-- 49999 pourle rel
			 cmpt <= (others => '0');
			 pulse_1ms <= '1';
		else
			 cmpt <= cmpt + 1;
			 pulse_1ms <= '0';
		end if;
	end if;
end process;
	
	o_pulse_1ms <= pulse_1ms;
	
end Behavioral;

